Ruby client for Archive.org
Ruby
Switch branches/tags
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
lib
spec
.coveralls.yml
.gitignore
.travis.yml
CHANGELOG.md
Gemfile
Gemfile.lock
LICENSE
README.md
REEK
Rakefile
archivist-client.gemspec

README.md

Archivist::Client - an archive.org Ruby client

Project Archivist::Client
gem name archivist-client
license MIT
moldiness Maintainer Status
version Gem Version
dependencies Dependency Status
code quality Code Climate
inline documenation Inline docs
continuous integration Build Status
test coverage Coverage Status
homepage https://github.com/wordtreefoundation/archivist-client
documentation http://rdoc.info/github/wordtreefoundation/archivist-client/frames
authors Duane Johnson Endorse Duane
Peter Boling Endorse Peter

Getting Started

require 'archivist/client'

Create an Archivist client:

client = Archivist::Client::Base.new

Search for the books you're interested in:

books = client.search(:start_year => 1500, :end_year => 1510)

Download them:

books.each do |book|
  puts book.download
end

Contributors

See the Network View and the CHANGELOG

How you can help!

Take a look at the reek list which is the file called REEK and stat fixing things. Once you complete a change, run the tests:

bundle exec rspec spec

If the tests pass refresh the reek list:

bundle exec rake reek > REEK

Follow the instructions for "Contributing" below.

Contributing

  1. Fork it
  2. Create your feature branch (git checkout -b my-new-feature)
  3. Commit your changes (git commit -am 'Added some feature')
  4. Push to the branch (git push origin my-new-feature)
  5. Make sure to add tests for it. This is important so I don't break it in a future version unintentionally.
  6. Create new Pull Request

Versioning

This library aims to adhere to Semantic Versioning 2.0.0. Violations of this scheme should be reported as bugs. Specifically, if a minor or patch version is released that breaks backward compatibility, a new version should be immediately released that restores compatibility. Breaking changes to the public API will only be introduced with new major versions.

As a result of this policy, you can (and should) specify a dependency on this gem using the Pessimistic Version Constraint with two digits of precision.

For example:

spec.add_dependency 'archivist-client', '~> 0.1.0'

References

Legal

  • MIT License - See LICENSE file in this project
  • Copyright (c) 2013 Duane Johnson & Word Tree Foundation

Bitdeli Badge